[Flame][2.2][Built-in&System Keyboard]Keyboard doesn't auto-hide in contacts.

RESOLVED INCOMPLETE

Status

()

RESOLVED INCOMPLETE
4 years ago
a year ago

People

(Reporter: xiongfuchao, Unassigned)

Tracking

({regression})

unspecified
ARM
Gonk (Firefox OS)
regression
Points:
---

Firefox Tracking Flags

(b2g-v2.0 unaffected, b2g-v2.1 unaffected, b2g-v2.2 wontfix, b2g-v2.2r wontfix, b2g-master unaffected)

Details

Attachments

(3 attachments)

Created attachment 8590147 [details]
video_1701.mp4

[1.Description]:
[Flame][v2.2 & v3.0][Built-in&System Keyboard] After user close browser page, then back to contacts, keybord will not disappear automatically even if user does some operations in contacts.
Found time:17:01
See attachment:logcat_1701.txt & video_1701.mp4

[2.Testing Steps]: 
1.Open contact.
2.Tap setting icon.
3.Tap import contacts.
4.Switch device to landscape.
5.Wait for the page to load completely and keyboard pops up.
6.Tap "X" close the page.

[3.Expected Result]: 
6.Keyboard will disappear automatically.

[4.Actual Result]: 
6.Keyboard can't disappear automatically.

[5.Reproduction build]: 
Flame 2.2:   Affected
Build ID               20150408002503
Gaia Revision          ea735c21bfb0d78333213ff0376fce1eac89ead6
Gaia Date              2015-04-07 20:58:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/43041c78052b
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2

Flame 3.0:   Affected
Build ID               20150408160203
Gaia Revision          a290b11627ec2b7c25980f5687a98da86641cfe4
Gaia Date              2015-04-08 08:26:08
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/2c92a7df87c9
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2


[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Comment 1

4 years ago
Created attachment 8590151 [details]
logcat_1701.txt
(Reporter)

Updated

4 years ago
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Hi Verson, is it reproducible if step 4 is not added? 
4.Switch device to landscape.
Flags: needinfo?(xiongfuchao)
(Reporter)

Comment 3

4 years ago
Hi Eric,
If we not do step 4, keyboard will disappear automatically.
btw I found we can't close keyboard via long press spacebar or switch to other apps.
Flags: needinfo?(xiongfuchao)
Flags: needinfo?(gchang)
Hi Rudy,
Can you help on this?
Flags: needinfo?(gchang) → needinfo?(rlu)
I could reproduce this issue on Flame, v3.0, and it seems keyboard manager could not receive inputcontext-change event in this case, so this is a Gecko issue.
Component: Gaia::Keyboard → DOM: Device Interfaces
Flags: needinfo?(rlu)
Product: Firefox OS → Core
(Reporter)

Comment 6

4 years ago
This issue can repro on latest Flame 2.2 3.0 & Nexus5 2.2 3.0 build,The STR is same as Comment 0.
Reproduce rate:5/5
Actually Result:Keyboard can't disappear automatically and can't close it via long press spacebar.
See attachment:logcat_1722.txt

Build version:
Flame 2.2 (affected)
Build ID               20150510002505
Gaia Revision          528ef60e7cda09ad43478065f5d33bda398fbeb7
Gaia Date              2015-05-08 23:40:58
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/8d04cc085cf5
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150510.042512
Firmware Date          Sun May 10 04:25:23 EDT 2015
Bootloader             L1TC000118D0

Flame 3.0 (affected)
Build ID               20150510010201
Gaia Revision          5b2a150f6f5d29bddfaac13fcbbf099376f2f275
Gaia Date              2015-05-09 12:34:41
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/77d92f6d7679
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150510.045933
Firmware Date          Sun May 10 04:59:44 EDT 2015
Bootloader             L1TC000118D0


Nexus5 2.2 (affected)
Build ID               20150510002505
Gaia Revision          528ef60e7cda09ad43478065f5d33bda398fbeb7
Gaia Date              2015-05-08 23:40:58
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/8d04cc085cf5
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150510.043050
Firmware Date          Sun May 10 04:31:07 EDT 2015
Bootloader             HHZ12f

Nexus5 3.0 (affected)
Build ID               20150510010201
Gaia Revision          5b2a150f6f5d29bddfaac13fcbbf099376f2f275
Gaia Date              2015-05-09 12:34:41
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/77d92f6d7679
Gecko Version          40.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150510.044405
Firmware Date          Sun May 10 04:44:24 EDT 2015
Bootloader             HHZ12f
(Reporter)

Comment 7

4 years ago
Created attachment 8604014 [details]
logcat_1722.txt
Flags: needinfo?(gchang)
Hi George,
I'm not sure who the right owner is, can you help to dispatch this bug?
Flags: needinfo?(gchang)
Hi Gerry, I think you forgot to set the ni? flag to George. (I'm not sure which person you are referring to)

BTW, I can't repro this on today's nightly build.  adding qawanted flag for recheck.
Keywords: qawanted
This issue is occurring on Flame 2.2.

Result: Keyboard remains on screen when backing out of Import Contacts from Email screen when on Landscape mode.

Environmental Variables:
Device: Flame 2.2 Kk Full Flash (319mb)
BuildID: 20150721002506
Gaia: e1e6317f17a840b19af9dbb25f5a771d8d9fa161
Gecko: 1bc400014f71
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 37.0 (2.2) 
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:37.0) Gecko/37.0 Firefox/37.0

----------------------------------

I am not seeing this issue reproduce on Flame 2.5, 2.1 and 2.0

Result: Keyboard will dismiss in contacts when backing out of a landscaped email screen. 

Environmental Variables:
Device: Flame 2.5 Kk Full Flash (319mb)
Build ID: 20150721010202
Gaia: 4fe0507781f3ed56c8ae5e66dd9489165d1ff68e
Gecko: 3a4bfa5d2d02
Gonk: 41d3e221039d1c4486fc13ff26793a7a39226423
Version: 42.0a1 (2.5)
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:42.0) Gecko/42.0 Firefox/42.0

Environmental Variables:
Device: Flame 2.1 Kk Full Flash (319mb)
Build ID: 20150721001206
Gaia: cc24cce17ab2ebf79f6505103da714fc65bc5ec1
Gecko: 3856aebece7b
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 34.0 (2.1)
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:34.0) Gecko/34.0 Firefox/34.0

Environmental Variables:
Device: Flame 2.0 Kk Full Flash (319mb)
BuildID: 20150721000210
Gaia: b16ba05481e577bc644ed8966f587a70fe2148e6
Gecko: 69dcc68fad52
Gonk: bd9cb3af2a0354577a6903917bc826489050b40d
Version: 32.0 (2.0) 
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:32.0) Gecko/32.0 Firefox/32.0
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(ktucker)
Keywords: qawanted
status-b2g-v2.0: --- → unaffected
status-b2g-v2.1: --- → unaffected
status-b2g-master: affected → unaffected
Let's get a reverse regression window on this to see what resolved this on master.
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(ktucker)
Keywords: regression, regressionwindow-wanted
QA Contact: jthomas
B2g Inbound

Reverse Window

Last Broken
Environmental Variables:
Device: Flame 2.5
BuildID: 20150612070755
Gaia: 26f74fb58e573616912ddbc11464f88e33afea63
Gecko: df9260369037
Version: 41.0a1 (2.5) 
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:41.0) Gecko/41.0 Firefox/41.0


First Working
Environmental Variables:
Device: Flame 2.5
BuildID: 20150612073455
Gaia: 26f74fb58e573616912ddbc11464f88e33afea63
Gecko: a79fc7f1c37d
Version: 41.0a1 (2.5)
Firmware Version: v18D
User Agent: Mozilla/5.0 (Mobile; rv:41.0) Gecko/41.0 Firefox/41.0


Last Broken Gaia & First Working Gecko - issue does NOT repro
Gaia: 26f74fb58e573616912ddbc11464f88e33afea63
Gecko: a79fc7f1c37d

Last Broken Gecko & First Working Gaia - issue DOES repro
Gaia: 26f74fb58e573616912ddbc11464f88e33afea63
Gecko: df9260369037


B2G Inbound Pushlog:
http://hg.mozilla.org/integration/b2g-inbound/pushloghtml?fromchange=df9260369037&tochange=a79fc7f1c37d

This issue is fixed in Master due to Bug 1162680
Blocks: 1162680
QA Whiteboard: [QAnalyst-Triage+] → [QAnalyst-Triage?]
Flags: needinfo?(ktucker)
Keywords: regressionwindow-wanted
Josh, can you take a look at this please? Can we get the fix for Bug 1162680 uplifted to 2.2 or should we just mark this as won't fix as well?
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(ktucker) → needinfo?(jocheng)

Updated

4 years ago
Flags: needinfo?(jocheng)
Summary: [Flame][Built-in&System Keyboard]Keybord can't disappear automatically in contacts. → [Flame][Built-in&System Keyboard]Keyboard doesn't auto-hide in contacts.
Hi Kevin,
Although it's regression but I think it's not blocking. 

NI Wesley feature phone EPM for whether taking this on 2.2r.
status-b2g-v2.2: affected → wontfix
status-b2g-v2.2r: --- → affected
Flags: needinfo?(whuang)
Summary: [Flame][Built-in&System Keyboard]Keyboard doesn't auto-hide in contacts. → [Flame][2.2][Built-in&System Keyboard]Keyboard doesn't auto-hide in contacts.
Eventually there will be different UI (optimized for feature phone) to commercialize 2.2r.
Thus, the fix is not must-have for 2.2r.
status-b2g-v2.2r: affected → wontfix
Flags: needinfo?(whuang)
Cleaning up Device Interfaces component, and mass-marking old FxOS bugs as incomplete.

If any of these bugs are still valid, please let me know.
Status: NEW → RESOLVED
Last Resolved: a year ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.